package cn.com.ctop.kuaishou.modules.batch.service.impl;

import cn.com.ctop.kuaishou.modules.batch.entity.MaterialUploadTask;
import cn.com.ctop.kuaishou.modules.batch.mapper.MaterialUploadTaskMapper;
import cn.com.ctop.kuaishou.modules.batch.service.IMaterialUploadTaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * 2021-10-21
 * @version V1.0
 */
@Service
@Slf4j
public class MaterialUploadTaskServiceImpl extends ServiceImpl<MaterialUploadTaskMapper, MaterialUploadTask> implements IMaterialUploadTaskService {
    @Autowired
    private MaterialUploadTaskMapper taskMapper;


    @Override
    public List<String> getMd5List() {
        return taskMapper.getMd5List();
    }

    @Override
    public void updateBySignature(String signature) {
        taskMapper.updateBySignature(signature);
    }

    @Override
    public List<Long> getHostingIdList() {
        return taskMapper.getHostingIdList();
    }


}
